org.apache.ignite.internal.processors.query

## Interface GridQueryFieldMetadata

All Superinterfaces:
  Externalizable, Serializable

    public interface GridQueryFieldMetadata
    extends Externalizable

Query field descriptor. This descriptor is used to provide metadata about fields returned in query result.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `fieldName()` Gets field name.
`String` `fieldTypeName()` Gets field type name.
`int` `precision()` Gets field precision.
`int` `scale()` Gets field scale.
`String` `schemaName()` Gets schema name.
`String` `typeName()` Gets name of type to which this field belongs.

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Method Detail

#### schemaName

    String schemaName()

Gets schema name.

Returns:
  Schema name.

#### typeName

    String typeName()

Gets name of type to which this field belongs.

Returns:
  Type name.

#### fieldName

    String fieldName()

Gets field name.

Returns:
  Field name.

#### fieldTypeName

    String fieldTypeName()

Gets field type name.

Returns:
  Field type name.

#### precision

    int precision()

Gets field precision.

Returns:
  Field precision.

#### scale

    int scale()

Gets field scale.

Returns:
  Field scale.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019